        
inline std::vector<Incidence::Params> const &Incidence::params() const
{
    return d_params;
}

inline Incidence::Params::Params(unsigned idx)
:
    d_idx(idx)
{}

inline double Incidence::Params::prob() const
{
    return d_prob;
}

inline VSD  const &Incidence::Params::risk() const
{
    return d_vsd[0];
}

inline VSD const &Incidence::Params::mean() const
{
    return d_vsd[1];
}

inline VSD const &Incidence::Params::stdDev() const
{
    return d_vsd[2];
}

//inline double Incidence::Params::stdDev() const
//{
//    return d_stdDev;
//}

inline DoubleVect2 const &Incidence::tumorRisk() const
{
    return d_tumorRisk;
}

inline DoubleVect const &Incidence::tumorRisk(size_t idx) const
{
    return d_tumorRisk[idx];
}

